For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Cart

Create a new Cart with SKU 10064 in it.

Note: For more details on this endpoint please refer to the the API Reference

Cart creation begins the checkout process. Products can be added to the cart at creation with a JSON Body listing 1 or more sku_id & quantity pairs.

It is not required that you add a SKU to create a cart, since it is possible for your customers cart to be empty, however, in this example, we will purchase a product with the SKU 10064 (which we noted down from the previous section)

Create Cart

post
Query parameters
app_order_idstringOptionalDeprecated

Deprecated: Use request body instead.

base_currencystringOptionalDeprecated

Deprecated: Use request body instead.

referral_idstringOptionalDeprecated

Deprecated: Use request body instead.

Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

Optional data to initialize the cart with upon creation.

base_currencystring · nullableOptional

Base currency that the cart should operate in.

Default: USD
referral_idstring · nullableOptional

Associate the cart with a user or affiliate in your system. This value can also be added later on cart submission.

app_order_idstring · nullableOptional

Associate the cart with an order record in your system. This value can also be added later on cart submission.

wallet_based_checkoutbooleanOptional

Boolean denoting whether or not this order will be placed through a wallet based payment mechanism such as apple pay.

Default: false
Responses
200

create cart success

application/json

A Violet Order representing a shopping cart that progresses through checkout to become a placed order. An Order contains one or more Bags (one per merchant), a customer, shipping/billing addresses, and a payment method. The lifecycle is: create cart → add items → set addresses → apply shipping → set payment → submit. All monetary values are in the smallest currency unit (e.g. cents for USD).

idinteger · int64Read-onlyRequired

ID of the Violet cart or order.

tokenstringRead-onlyOptionalDeprecated

An alternative UUID that can be used as an ID to reference the cart or order.

user_idinteger · int64Read-onlyOptionalDeprecated

ID of the User placing the order

app_idinteger · int32Read-onlyRequired

ID of the App responsible for the creation and submission of this Order.

developer_idinteger · int32Read-onlyRequired

ID of the Developer responsible for the creation and submission of this Order.

sub_totalinteger · int32Required

The price of the Order in the base currency before discounts, shipping, duties, taxes, and tips. In Cents. This value can be null before the cart has been priced.

Default: 0
shipping_totalinteger · int32Required

The sum of all shipping methods applied to the Order in the base currency. In Cents. This value can be null before the cart has been priced.

Default: 0
tax_totalinteger · int32Required

The sum of all the taxes applied to the Order in the base currency. In Cents. This value can be null before the cart has been priced.

Default: 0
discount_totalinteger · int32Required

The total discounts applied to the price of the Order in the base currency. In Cents. This value can be null before the cart has been priced.

Default: 0
duty_totalinteger · int32Optional

The sum of all duties applied to the Order in the base currency. In Cents. If not provided, this value will be automatically calculated from DUTY-type rates on the Order's SKUs. This value can be null.

Default: 0
totalinteger · int32Required

The sum of all item prices, discounts, shipping, duties, and taxes applied to the Order in the base currency. In Cents. This value can be null before the cart has been priced.

Default: 0
app_customer_idstring · max: 191 · nullableOptional

App Customer ID. This should be used to map the order to the ID of the customer in your application.

app_order_idstring · max: 64 · nullableOptional

App Order ID. This should be set to a unique identifier in your system. While not enforced unique in Violet's system, it is strongly recommended that unique values are used for each cart to help correlate identifiers between Violet's system and yours.

statusstring · enumRead-onlyRequired

Status of the Order

Possible values:
is_guestbooleanRead-onlyRequired

Whether this is a guest checkout order. Guest orders do not create or link to a customer account in the merchant's system. Most orders placed via the Violet API are guest orders.

Default: true
date_createdstring · date-timeRead-onlyRequired

Date of order creation

date_last_modifiedstring · date-timeRead-onlyRequired

Indicates when the order was last modified. This timestamp is updated only when a property on the Order entity itself changes. Modifications to related entities (e.g., Bags) will not update this timestamp unless the change also triggers an update to the Order entity.

date_submittedstring · date-time · max: 24 · nullableRead-onlyOptional

Date the Order was last submitted in Violet. This value is captured immediately after the Order is successfully validated and before the nested Bag(s) are submitted to the external commerce platforms.

pricedbooleanRead-onlyRequired

Whether the cart has been priced. A cart must be priced before it can be submitted for checkout. Pricing is triggered automatically when shipping methods are applied and tax/shipping totals are calculated.

Default: false
wallet_based_checkoutbooleanRequired

Is this cart going to be placed through wallet-based checkout

Default: false
currencystring · min: 3 · max: 3Required

ISO 4217 currency code for the Order.

Default: USDExample: USD
referral_idstring · nullableOptional

Optional value used to represent an identifier in your system. This value is not required to represent a referral. It can represent the ID of anything in your system and can be used to filter order lookup results. Max length of 128 characters.

currency_symbolstringRead-onlyRequired

Symbol representing the currency the Order operates in.

app_namestring · nullableRead-onlyOptional

Name of app that originated the order. Use the "extended" query param when looking up orders to include this value.

stripe_keystring · nullableRead-onlyOptional

Stripe publishable key. Use for tokenizing payment methods.

payment_intent_client_secretstring · nullableRead-onlyOptional

Payment intent client secret. Use for payment intent based payment capture and external captures

order_idinteger · int64Optional
guestbooleanOptional
order_statusstring · enumOptionalPossible values:
intent_based_checkoutbooleanOptional

Boolean indicating if the cart/order will be payed using a payment intent.

post/checkout/cart
POST /v1/checkout/cart HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "base_currency": "USD"
}
{
  "id": 10000,
  "token": "fz8x7gksdjsy2p9fdlonw7k9svwjso4b",
  "user_id": 10000,
  "app_id": 10000,
  "developer_id": 10000,
  "customer": null,
  "bags": null,
  "shipping_address": null,
  "billing_address": null,
  "payment_method": null,
  "sub_total": 0,
  "shipping_total": 0,
  "tax_total": 0,
  "discount_total": 0,
  "total": 0,
  "app_order_id": "00100100",
  "status": "IN_PROGRESS",
  "is_guest": true,
  "date_created": "2017-06-15T01:01:01+0000",
  "date_last_modified": "2017-06-15T01:01:01+0000",
  "priced": false,
  "wallet_based_checkout": false,
  "currency": "USD",
  "channel": "APP",
  "currency_symbol": "$",
  "stripe_key": "pk_test_UHg8oLvg4rrDCbvtqfwTE8qd",
  "payment_intent_client_secret": "pi_vw8krrsvposl347c5l7x1nt5_secret_vbcw5t2bze37iptq430tmx7s",
  "payment_transactions": null,
  "intent_based_checkout": true,
  "guest": true,
  "order_id": 11111
}

Last updated

Was this helpful?